Bug 204595 - Update ANGLE
Summary: Update ANGLE
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on: 204767
Blocks: 198948
  Show dependency treegraph
 
Reported: 2019-11-25 17:41 PST by James Darpinian
Modified: 2019-12-02 15:02 PST (History)
17 users (show)

See Also:


Attachments
Update ANGLE (7.48 MB, patch)
2019-11-25 21:32 PST, James Darpinian
no flags Details | Formatted Diff | Diff
Fix test failures on Mac and iOS (7.48 MB, patch)
2019-11-26 17:27 PST, James Darpinian
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Darpinian 2019-11-25 17:41:44 PST
Update ANGLE
Comment 1 James Darpinian 2019-11-25 21:32:25 PST
Created attachment 384325 [details]
Update ANGLE
Comment 2 Build Bot 2019-11-25 21:37:55 PST
Note that there are important steps to take when updating ANGLE. See http://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 James Darpinian 2019-11-26 17:27:43 PST
Created attachment 384386 [details]
Fix test failures on Mac and iOS
Comment 4 Alex Christensen 2019-12-02 10:27:02 PST
https://trac.webkit.org/changeset/252989/webkit
Comment 5 Radar WebKit Bug Importer 2019-12-02 10:27:26 PST
<rdar://problem/57562162>
Comment 6 Aakash Jain 2019-12-02 13:08:48 PST
(In reply to Alex Christensen from comment #4)
> https://trac.webkit.org/changeset/252989/webkit
This broke the build for wincairo, as also indicated by EWS.

252989 failed in https://build.webkit.org/builders/WinCairo%2064-bit%20WKL%20Release%20%28Build%29/builds/13803

252988 passed in https://build.webkit.org/builders/WinCairo%2064-bit%20WKL%20Release%20%28Build%29/builds/13802
Comment 7 Aakash Jain 2019-12-02 13:09:38 PST
Relevant error:

C:\WebKit-BuildWorker\wincairo-wkl-release\build\WebKitBuild\Release\ANGLE\Headers\GLES2\gl2ext_angle.h(641): fatal error C1083: 

Cannot open include file: '../GLES3/gl32ext_explicit_context_autogen.inc': No such file or directory
Comment 8 Ross Kirsling 2019-12-02 13:59:55 PST
Verified that it's not just a force clean issue:
https://build.webkit.org/builders/WinCairo%2064-bit%20WKL%20Release%20%28Build%29/builds/13814

Going to roll out.
Comment 9 WebKit Commit Bot 2019-12-02 14:01:16 PST
Re-opened since this is blocked by bug 204767
Comment 10 Alex Christensen 2019-12-02 14:02:03 PST
Could someone with a WinCairo setup please figure out how to fix this?  I don't have a setup to debug this, and uploading a 7+MB patch to EWS to iterate is not practical
Comment 11 James Darpinian 2019-12-02 14:56:04 PST
I can fix it. Sorry, next time I will not request review until EWS passes. webkit-patch upload asks for review automatically, but I guess there is probably a flag to prevent that.
Comment 12 Ross Kirsling 2019-12-02 14:59:42 PST
Oops, I forgot that rollouts don't auto-commit.
Looks like the fix is trivial so I'll commit that instead.

It often makes sense to review concurrently with waiting for EWS, but hopefully we can resolve all the detected issues before landing next time. :)
Comment 13 Ross Kirsling 2019-12-02 15:02:25 PST
Committed r253012: <https://trac.webkit.org/changeset/253012>